2019-12-14 00:21 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001182FSSCPmultiplayerpublic2007-10-15 07:08
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001182: Attempting to start game on standalone host causes breakpoint
DescriptionReceive the error right after hitting commit. Debug build shows the error. Regular build just pops up the windows illegal op window.
Additional Information3.6.9 RC8 debug. May be related to bug report 1100 but the error is different now.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001183resolvedtaylor Debug error line 42 launching missions on standalone Win ME 
+Relationships

-Notes

~0007351

FUBAR-BDHR (developer)

Last edited: 2007-01-01 01:00

OK just tried the 3.6.9 and still got the crash. Decided to delete the map it was crashing on and it loaded just fine. Attached the map. Haven't looked at it but the first thing that hit me was the _ at the start of the file name. Don't know why it crashes on ME but not on XP.

Was supposed to put this under 0001183 but did fix this problem as well. Apparently not enough beer.


Just to be clear. Deleting the file from the missions dir of the ME machine (standalone mode) fixed the error on both the ME and XP machines. XP machine still has that map in the missions directory.

~0008087

taylor (administrator)

I apparently missed this bug for some reason, because I don't remember ever seeing it until now. :/

Anyway, the mission filename is too long. The max it 31 characters and this one is 33, so if you take of 2 characters from the filename then it should work fine. It still shouldn't crash though, it should just not show up.

~0008088

FUBAR-BDHR (developer)

Don't know how you could of missed it I've only filed 1 or 2 multi player bugs. :=)

OK the filename length being exceeded would explain it. Only thing is I got that file by doing testing for multi so it worked at some point. Maybe an OS dependent bug? XP just skips the file/error but ME chokes on it?

~0008089

taylor (administrator)

;)

The filename length issue has always been there, so it's not specific to XP or ME. Most likely it's just a case where we have added more safety checks at some point. Usually when we work in code that like, upgrading it or something, new safety checks will go in for out-of-bounds stuff. If it is the same build that works under XP but not ME, then I'm not sure exactly what to tell you.

I guess it's a possiblity that it's an MFC thing, directly related to the standalone interface rather than a typical code bug, and that would explain why it could work ok in XP but not ME (a system specific issue with some DLL or something).

~0008090

FUBAR-BDHR (developer)

OK been awhile since I tried anything to do with standalone and re-reading my description didn't pop up any exact memories of what the heck I tried. Sounds like I may have only tested the standalone on the ME machine for this bug. XP running standalone may or may not have produced the same results. Since it was in 3.6.9 RC8 and standalone sever related I say just file it until you get around to the standalone stuff.

~0008093

taylor (administrator)

Ok, think I found a way around this one. I just modified the code that searches for the missions to ignore any filename that is longer that the max. Simple, but effective. It seems to have done the job too, on the machine that I can replicate this problem with.

I'll post a new build in a day or two that you can verify it with (assuming that you still have ME running somewhere).

Oh, and my builds from now on use the new FS2NetD code, so they aren't going to be compatible with the old FS2NetD server. Both the old and new servers are up and running on game-warden, but games played on one won't show up on the other. You'll need to take that into account when you're testing the build. The server address is also different, for now, but it's hard-coded in the build so you don't have to change anything.

~0008099

FUBAR-BDHR (developer)

This isn't really part of this bug but just for the heck of it I tried saving a file in FRED2_Open. I gave it a file name with 35 characters and it took it. Might want to add a check or warning for that before someone starts asking why their FRED2_Open saved mission doesn't show up in the list.

~0008103

taylor (administrator)

Umm, I'm not quite sure how to do that, but it's a good point. I'll need to check MSDN, but I'll try and make that change as well when I commit the fix for this bug.

~0008563

taylor (administrator)

Original problem is fixed. The FRED issue is another problem, so I'm not going to hold this bug open for it.

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-12-27 16:26 FUBAR-BDHR New Issue
2006-12-27 16:26 FUBAR-BDHR Status new => assigned
2006-12-27 16:26 FUBAR-BDHR Assigned To => taylor
2006-12-27 16:26 FUBAR-BDHR File Added: Media-12-27-06a.rar
2007-01-01 00:49 FUBAR-BDHR File Added: _fsx_silverarrowshivanguard03.fs2
2007-01-01 00:51 FUBAR-BDHR Note Added: 0007351
2007-01-01 00:56 FUBAR-BDHR Note Edited: 0007351
2007-01-01 01:00 FUBAR-BDHR Note Edited: 0007351
2007-05-14 21:06 taylor Note Added: 0008087
2007-05-15 03:42 FUBAR-BDHR Note Added: 0008088
2007-05-15 04:37 taylor Note Added: 0008089
2007-05-15 04:54 FUBAR-BDHR Note Added: 0008090
2007-05-16 05:57 taylor Note Added: 0008093
2007-05-18 05:57 taylor Relationship added has duplicate 0001183
2007-05-18 06:22 FUBAR-BDHR Note Added: 0008099
2007-05-18 06:31 taylor Note Added: 0008103
2007-10-15 07:08 taylor Status assigned => resolved
2007-10-15 07:08 taylor Fixed in Version => 3.6.10
2007-10-15 07:08 taylor Resolution open => fixed
2007-10-15 07:08 taylor Note Added: 0008563
+Issue History